#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CPPFLAGS += -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

%:
	dh  $@ --no-parallel

override_dh_auto_build-arch:
	mkdir -p bin
	dh_auto_build
	mv bin/imcat bin/imcatalog
	mv bin/remap bin/wcsremap

override_dh_auto_build-indep:
	HOME=/tmp wcstools=`pwd`/debian/iraf/ irafcl -f debian/mkhelpdb.cl
	test -e debian/iraf/lib/helpdb.mip

override_dh_auto_test-arch:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	LD_LIBRARY_PATH=$$PWD/libwcs:$$LD_LIBRARY_PATH \
	PATH=$$PWD/bin:$$PATH \
	debian/tests/wcstools-test
endif

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_installman:
	mkdir -p man/man_generated
	mv man/man1/imcat.1 man/man1/imcatalog.1
	for i in `ls bin` ; do \
	  if [ ! -f man/man1/$$i.1 ] ; then \
	    NAME=`fgrep $$i wcstools | sed "s/:/ \\\\- /"` ; \
	    LD_LIBRARY_PATH=$$LD_LIBRARY_PATH:libwcs help2man --no-discard-stderr --version-string="$DEB_SOURCE" -N -h "" -n "$NAME" bin/$$i | fgrep -v WCSTools > man/man_generated/$$i.1 ; \
	  fi \
	done
	dh_installman
	mv man/man1/imcatalog.1 man/man1/imcat.1

override_dh_fixperms-arch:
	dh_fixperms
	chmod 0644 debian/wcstools/usr/share/doc/wcstools/examples/*
